## org.eclipse.jst.jsf.metadataprocessors
Class DefaultTypeDescriptor

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.metadataprocessors.DefaultTypeDescriptor

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor

    public class DefaultTypeDescriptor

extends AbstractRootTypeDescriptor

Type descriptor that is created if no class if provided for the implementation in the AttributeValueRuntimeTypes extension point.

Provisional API - subject to change

Constructor Summary
`DefaultTypeDescriptor()`

Method Summary

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTypeDescriptor

    public DefaultTypeDescriptor()